Subject: Re: Alternate to Ixia's ANVL test harness for tcp compliance.

From: Jeff Garzik <[email-masked]>
Date: Thu, 20 Jul 2006 17:31:48 -0400

Piet Delaney wrote:
> I wonder if Microsoft is providing the "big challenge" to porting the
> same GUI to linux. The world really doesn't need yet another Java
> language. Gosling is a Genius, I studied his X11 News Server enough
> to know first hand. Microsoft lost in court with their violating the
> Java standards and C sharp seems to be just another stratagy to their
> bizarre attempt to world domination (Like the SCO mess).

Runtime dynamic bytecode languages -- Java, Perl, Python, Ruby, ... -- 
do seem to be all the rage.

As DaveM noted, though, C# is fully supported under Linux.

Or maybe they could go for Gtk+, which has successfully been used to 
maintain complex GUIs apps on both Windows and Linux.  GIMP is the most 
notable example, but use of Gtk+, GLib, and mingw has meant that you can 
build Linux-ish apps on Windows without nasty porting layers like Cygwin.

	Jeff